/*  HTML TO USE IT

<button class=""stw-arcade-tbn>
    P L A Y
    <div id="clip">
        <div id="leftTop" class="corner"></div>
        <div id="rightBottom" class="corner"></div>
        <div id="rightTop" class="corner"></div>
        <div id="leftBottom" class="corner"></div>
    </div>
    <span id="rightArrow" class="arrow"></span>
    <span id="leftArrow" class="arrow"></span>
</button>


*/


.stw-arcade-btn {

  --unhover-color: var(--stw-blue-color); /* Define aquí el color azul */
  --hover-color: var(--stw-purple-color); /* Define aquí el color morado */
  --color: var(--unhover-color);

  position: relative;
  width: 11em;
  height: 4em;
  outline: none;
  transition: 0.1s;
  background-color: transparent;
  border: none;
  font-size: 11px;
  font-weight: bold;
  color: #ddebf0;
  margin-left: auto;
  margin-right: 3em;
}

#clip {
  --color: var(--unhover-color);
  position: absolute;
  top: 0;
  overflow: hidden;
  width: 100%;
  height: 100%;
  border: 5px double var(--color);
  box-shadow: inset 0px 0px 15px var(--unhover-color);
  -webkit-clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}

.group:hover .arrow {
    color: var(--stw-red-color);
    text-shadow: 0 0 5px var(--stw-red), 0 0 10px var(--stw-red), 0 0 15px var(--stw-red), 0 0 20px var(--stw-red);
}


#leftArrow {
  left: -13.5%;
  -webkit-clip-path: polygon(100% 0, 100% 100%, 0 50%);
}

#rightArrow {
  -webkit-clip-path: polygon(100% 49%, 0 0, 0 100%);
  left: 102%;
}

.stw-arcade-btn:hover #rightArrow {
  background-color: var(--hover-color);
  left: -15%;
  animation: 0.6s ease-in-out both infinite alternate rightArrow8;
}

.stw-arcade-btn:hover #leftArrow {
  background-color: var(--hover-color);
  left: 103%;
  animation: 0.6s ease-in-out both infinite alternate leftArrow8;
}

.corner {
  position: absolute;
  width: 4em;
  height: 4em;
  background-color: var(--unhover-color);
  box-shadow: inset 1px 1px 8px var(--unhover-color);
  transform: scale(1) rotate(45deg);
  transition: 0.2s;
}

#rightTop {
  top: -1.98em;
  left: 91%;
}

#leftTop {
  top: -1.96em;
  left: -3.0em;
}

#leftBottom {
  top: 2.10em;
  left: -2.15em;
}

#rightBottom {
  top: 45%;
  left: 88%;
}

.stw-arcade-btn:hover #leftTop {
  animation: 0.1s ease-in-out 0.05s both changeColor8,
  0.2s linear 0.4s both lightEffect8;
}

.stw-arcade-btn:hover #rightTop {
  animation: 0.1s ease-in-out 0.15s both changeColor8,
  0.2s linear 0.4s both lightEffect8;
}

.stw-arcade-btn:hover #rightBottom {
  animation: 0.1s ease-in-out 0.25s both changeColor8,
  0.2s linear 0.4s both lightEffect8;
}

.stw-arcade-btn:hover #leftBottom {
  animation: 0.1s ease-in-out 0.35s both changeColor8,
  0.2s linear 0.4s both lightEffect8;
}

.stw-arcade-btn:hover .corner {
  transform: scale(1.25) rotate(45deg);
}

.stw-arcade-btn:hover #clip {
  animation: 0.2s ease-in-out 0.55s both greenLight8;
  --color: var(--hover-color);
}

@keyframes changeColor8 {
  from {
    background-color: var(--unhover-color);
  }

  to {
    background-color: var(--hover-color);
  }
}

@keyframes lightEffect8 {
  from {
    box-shadow: 1px 1px 5px var(--hover-color);
  }

  to {
    box-shadow: 0 0 2px var(--hover-color);
  }
}

@keyframes greenLight8 {
  from {
  }

  to {
    box-shadow: inset 0px 0px 32px var(--hover-color);
  }
}

@keyframes leftArrow8 {
  from {
    transform: translate(0px);
  }

  to {
    transform: translateX(10px);
  }
}

@keyframes rightArrow8 {
  from {
    transform: translate(0px);
  }

  to {
    transform: translateX(-10px);
  }
}
